<?xml version="1.0" encoding="UTF-8"?>

<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/j2ee/web-app_2_5.xsd">
  
  <servlet>
    <servlet-name>ServletClient</servlet-name>
    <servlet-class>org.jboss.test.ws.jaxws.samples.serviceref.ServletClient</servlet-class>
  </servlet>
  
  <servlet-mapping>
    <servlet-name>ServletClient</servlet-name>
    <url-pattern>/*</url-pattern>
  </servlet-mapping>
  
  <service-ref>
    <service-ref-name>service1</service-ref-name>
    <service-interface>javax.xml.ws.Service</service-interface>
    <wsdl-file>WEB-INF/wsdl/TestEndpoint.wsdl</wsdl-file>
    <service-qname>{http://serviceref.samples.jaxws.ws.test.jboss.org/}TestEndpointService</service-qname>
  </service-ref>

  <service-ref>    
    <service-ref-name>service2</service-ref-name>
    <service-interface>org.jboss.test.ws.jaxws.samples.serviceref.TestEndpointService</service-interface>
    <wsdl-file>WEB-INF/wsdl/TestEndpoint.wsdl</wsdl-file>
    <service-qname>{http://serviceref.samples.jaxws.ws.test.jboss.org/}TestEndpointService</service-qname>
     <port-component-ref>
        <service-endpoint-interface>org.jboss.test.ws.jaxws.samples.serviceref.TestEndpoint</service-endpoint-interface>
        <enable-mtom>true</enable-mtom>
     </port-component-ref>
  </service-ref>
  
</web-app>